@use "colors";
@use "variables";

.map {
    .map-svg {
        .canton {
            fill: colors.$light-gray;
            stroke: colors.$white;
            transition: fill .2s ease-out;
            cursor: pointer;
        }

        .selected {
            fill: colors.$blue;
            transition: fill .2s ease-in;
        }

    }

    .contents {
        padding: 2rem;
    }

    .map-dropdown {
        max-width: 400px;
        padding: 0 0 1rem;

        .MuiAutocomplete-endAdornment {
            top: initial;
        }

        .MuiFormControl-root{
            margin-top: 0.3rem;
        }
    }

    h3{
        margin-bottom: 0.6em;
    }

    .contact-link-group{
        padding-bottom: 1rem;
    }


    @media only screen and (max-width: variables.$mobile-width) {
        .contents{
            padding: 0rem;
        }
    }

}